私のチーム
GET https://pushye.com/api/teams/
curl --request GET \
--url 'https://pushye.com/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列 | 検索文字列。 |
| search_by | オプション 文字列 | 検索するフィールドは何ですか。許可されている値は:name。 |
| datetime_field | オプション 文字列 | 許可された値: datetime, last_datetime |
| datetime_start | オプション 文字列 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | オプション 文字列 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | オプション 文字列 | 結果をどのフィールドで並べ替えるか。許可されている値は:team_id, datetime, last_datetime, name。 |
| order_type | オプション 文字列 | 結果の並び順。許可されている値は、昇順のためのASCと、降順のためのDESCです。 |
| page | オプション 整数 | 結果を取得したいページ番号。デフォルトは1です。 |
| results_per_page | オプション 整数 | 1ページあたりの結果数はどのくらいにしますか。許可されている値は:10, 25, 50, 100, 250, 500, 1000。デフォルトは25です。 |
{
"data": [
{
"id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "hello@example.com",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-04-28 18:41:27",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-04-28 18:41:27",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://pushye.com/api/teams?page=1",
"last": "https://pushye.com/api/teams?page=1",
"next": null,
"prev": null,
"self": "https://pushye.com/api/teams?page=1"
}
}
GET https://pushye.com/api/teams/{team_id}
curl --request GET \
--url 'https://pushye.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "hello@example.com",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-04-28 18:41:27",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-04-28 18:41:27",
}
}
POST https://pushye.com/api/teams
| パラメータ | 詳細 | 説明 |
|---|---|---|
| name | 必須 文字列 | - |
curl --request POST \
--url 'https://pushye.com/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
--url 'https://pushye.com/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
{
"data": {
"id": 1
}
}
POST https://pushye.com/api/teams/{team_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| name | オプション 文字列 | - |
curl --request POST \
--url 'https://pushye.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
--url 'https://pushye.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
{
"data": {
"id": 1
}
}
DELETE https://pushye.com/api/teams/{team_id}
curl --request DELETE \
--url 'https://pushye.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \